This page is a translated version of the page Draft Wire and the translation is 100% complete.

Draft Wire.png DWire

Posizione nel menu
Draft → Polilinea
Ambiente
Draft, Architettura
Avvio veloce
W I
Vedere anche
Draft → Linea, Draft → BSpline


Crea una polilinea (sequenza di segmenti) nel piano di lavoro corrente. La polilinea assume il tipo di linea e il colore impostati in precedenza nella Barra dei comandi e modificabili tramite la stessa o nella scheda Vista combinata → Proprietà → Vista. Lo strumento DWire si comporta come lo strumento Linea, con la differenza che non termina dopo due soli punti e i segmenti sono parti di un unico oggetto.

Draft Polyline example.jpg

Utilizzo

  1. Premere il pulsante Draft Wire.png DWire, o premere i tasti W e I
  2. Selezionare il primo punto nella vista 3D, o digitare le coordinate
  3. Selezionare un punto successivo nella vista 3D, o digitare le coordinate
  4. Premere F o C, o fare doppio clic sull'ultimo punto, oppure fare clic sul primo punto per completare o chiudere il contorno. Un contorno chiuso è anche una faccia, anche se appare solo il suo bordo.

Opzioni

  • Se sono selezionate diverse Linee Draft connesse, quando si preme il pulsante Draft Wire esse vengono trasformate in una polilinea e si esce dal comando. available in version 0.17


  • Premere F o il pulsante Draft FinishLine.png Termina per interrompere il disegno del contorno, lasciandolo aperto
  • Premere C o il pulsante Draft CloseLine.png Chiudi o selezionare il primo punto per chiudere il contorno collegando l'ultimo punto con il primo.
  • Premere X, Y o Z e muovere il puntatore nell'area grafica dopo il primo punto per vincolare il secondo punto su uno specifico asse. In questo caso rimane attivo solo il campo corrispondente all'asse selezionato e in esso è mostrata la posizione corrente del cursore.
  • Per inserire le coordinate manualmente, è sufficiente inserire il loro valore, poi premere INVIO per ogni componente X, Y e Z. E' bene tenere il puntatore del mouse fuori dall'area di lavoro in quanto un suo movimento accidentale cattura e inserisce nel campo di input le coordinate a cui si trova e costringe a ripetere l'inserimento.
  • Premere R oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Relativo. In modalità Relativo, le coordinate del secondo punto sono relative al primo. In caso contrario, sono assolute, a partire dal punto di origine (0,0,0).
  • Premere T oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Continua. In modalità Continua, al termine dell'operazione, lo strumento DWire si riavvia automaticamente e permette di disegnare una nuova polilinea senza dover ripetere il comando.
  • Premere CTRL mentre si disegna per ancorare il proprio punto al punto agganciabile più vicino, indipendentemente dalla distanza.
  • Premere SHIFT mentre si disegna per vincolare orizzontalmente o verticalmente il secondo punto rispetto al primo.
  • Premere W o il pulsante Draft Wipe.png Pulisci per rimuovere i segmenti esistenti e avviare la polilinea dall'ultimo punto.
  • Premere CTRL+Z o premere il pulsante Draft UndoLine.png Annulla per annullare l'ultimo punto inserito. Questa opzione permette di annullare a ritroso tutti i punti di una Spezzata.
  • Premere ilo tasto I o il pulsante Pieno per far apparire il contorno come una faccia se è stato chiuso.
  • Premere ESC o premere il pulsante Cancella per uscire dal comando DWire attivo.
  • Un contorno chiuso, quando è rappresentato in modalità "Flat Lines", può contenere un tratteggio, impostando le sue proprietà "Pattern" sottostanti.

Proprietà

  • DatiClosed: Specifica se il contorno è chiuso.
  • DatiChamfer Size : Stabilisce lo smusso dei vertici di una spezzata.
  • DatiFillet Radius: Specifica un raggio di curvatura di dare ai vertici della polilinea
  • DATASubdivisions: Divide i segmenti del poligono in un dato numero di suddivisioni available in version 0.16
  • DATAMake Face: Riempie il contorno con una faccia se è chiuso
  • VistaEnd Arrow: Mostra un simbolo di freccia nell'ultimo punto del contorno, in modo che possa essere utilizzato come linea guida di annotazione
  • VistaPattern: specifica un modello di tratteggio per riempire la polilinea
  • VistaPattern Size: Specifica la dimensione del tratteggio

Vedere anche la pagina Draft Pattern.

Script

Lo strumento DWire può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

makeWire (list or Part.Wire, [closed], [placement], [facemode]) 
  • Crea un oggetto Wire (polilinea) dall'elenco dei vettori dati o dalla polilinea data.
  • Se closed è True o se il primo e l'ultimo punto sono identici, il contorno è chiuso.
  • Se facemode è True (quindi il contorno è chiuso), il contorno appare riempito.
  • Sono usati la larghezza di linea e il colore correnti.
  • Restituisce l'oggetto appena creato.

Esempio:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeWire([p1,p2,p3],closed=True) 
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe